Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Protocol_Factory Class Reference

SSLIOP-specific protocol factory implementation. More...

`#include <SSLIOP_Factory.h>`

Inheritance diagram for TAO_SSLIOP_Protocol_Factory:

[legend]
Collaboration diagram for TAO_SSLIOP_Protocol_Factory:

[legend]
List of all members.

## Public Methods
| TAO_SSLIOP_Protocol_Factory (void)
virtual | ~TAO_SSLIOP_Protocol_Factory (void)
virtual int | init (int argc, char *argv[])
int | register_orb_initializer (void)
| Create and register the SSLIOP ORB initializer. More...
virtual int | match_prefix (const ACE_CString &prefix)
virtual const char * | prefix (void) const
virtual char | options_delimiter (void) const
virtual TAO_Acceptor * | make_acceptor (void)
virtual TAO_Connector * | make_connector (void)
virtual int | requires_explicit_endpoint (void) const
## Private Attributes
int | major_
| Changing the version number can be used to provide backwards compatibility with old clients. More...
int | minor_
Security::QOP | qop_
| Default quality-of-protection settings for the SSLIOP pluggable protocol. More...
ACE_Time_Value | timeout_
| This timeout includes the overall time to complete the SSL handshake. More...

## Detailed Description

SSLIOP-specific protocol factory implementation.

This class implements the SSLIOP-specific protocol factory implementation for use in TAO's pluggable protocols framework.

## Constructor & Destructor Documentation

TAO_SSLIOP_Protocol_Factory::TAO_SSLIOP_Protocol_Factory | ( | void |  | ) |

TAO_SSLIOP_Protocol_Factory::~TAO_SSLIOP_Protocol_Factory | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_SSLIOP_Protocol_Factory::init | ( | int | argc,
|  | char * | argv[]
| ) | `[virtual]`

TAO_Acceptor * TAO_SSLIOP_Protocol_Factory::make_acceptor | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Protocol_Factory.

TAO_Connector * TAO_SSLIOP_Protocol_Factory::make_connector | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Protocol_Factory.

int TAO_SSLIOP_Protocol_Factory::match_prefix | ( | const ACE_CString & | prefix | ) | `[virtual]`

| Reimplemented from TAO_Protocol_Factory.

char TAO_SSLIOP_Protocol_Factory::options_delimiter | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO_Protocol_Factory.

const char * TAO_SSLIOP_Protocol_Factory::prefix | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO_Protocol_Factory.

int TAO_SSLIOP_Protocol_Factory::register_orb_initializer | ( | void |  | ) |

| Create and register the SSLIOP ORB initializer.

int TAO_SSLIOP_Protocol_Factory::requires_explicit_endpoint | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO_Protocol_Factory.

## Member Data Documentation

int TAO_SSLIOP_Protocol_Factory::major_`[private]`

| Changing the version number can be used to provide backwards compatibility with old clients.

int TAO_SSLIOP_Protocol_Factory::minor_`[private]`

Security::QOP TAO_SSLIOP_Protocol_Factory::qop_`[private]`

| Default quality-of-protection settings for the SSLIOP pluggable protocol.

ACE_Time_Value TAO_SSLIOP_Protocol_Factory::timeout_`[private]`

| This timeout includes the overall time to complete the SSL handshake. This includes both the TCP handshake and the SSL handshake.

The documentation for this class was generated from the following files:

- SSLIOP_Factory.h
- SSLIOP_Factory.cpp